Bug 835376 - Request to add legend support feature for ibus-table
Summary: Request to add legend support feature for ibus-table
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-table
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-26 05:24 UTC by Peng Wu
Modified: 2020-07-11 01:08 UTC (History)
6 users (show)

Fixed In Version: ibus-table-1.10.0-1.fc31 ibus-table-1.10.0-1.fc32
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-11 01:03:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Peng Wu 2012-06-26 05:24:00 UTC
Description of problem:
Currently wubi ime in ibus-table doesn't support legend feature.

Version-Release number of selected component (if applicable):
ibus-table-1.3.9.20110827-2.fc17.noarch

How reproducible:
Try to input a single character by using ibus-table wubi ime;
  
Actual results:
Only one character is inputted;

Expected results:
Besides inputting one character, some possible following characters should be listed in the candidate list to speed up user inputting.

Comment 1 Fedora End Of Life 2013-04-03 17:10:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Fedora Admin XMLRPC Client 2014-01-10 07:46:38 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2015-01-09 17:13:13 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Jan Kurik 2015-07-15 15:06:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 6 Mike FABIAN 2016-05-11 06:31:26 UTC
Move to Fedora 24.

Comment 7 Peng Wu 2017-07-21 05:49:09 UTC
Some materials for legend feature:
https://sourceforge.net/p/scim/code/HEAD/tree/scim-pinyin/trunk/data/phrase_lib.txt

Comment 8 Jan Kurik 2017-08-15 08:36:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 9 Fedora Update System 2020-07-02 13:30:56 UTC
FEDORA-2020-8f6a5c1295 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8f6a5c1295

Comment 10 Fedora Update System 2020-07-02 13:31:45 UTC
FEDORA-2020-f9f120fb41 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f9f120fb41

Comment 11 Fedora Update System 2020-07-03 01:23:07 UTC
FEDORA-2020-8f6a5c1295 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-8f6a5c1295`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8f6a5c1295

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-07-03 02:04:33 UTC
FEDORA-2020-f9f120fb41 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f9f120fb41`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f9f120fb41

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-07-11 01:03:51 UTC
FEDORA-2020-8f6a5c1295 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-07-11 01:08:40 UTC
FEDORA-2020-f9f120fb41 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.